--[[
local Babble = AceLibrary("Babble-Spell-2.0")

ClosetGnomeSwitcher_Druid = ClosetGnomeSwitcher:NewModule("ClosetGnomeSwitcher_Druid", "AceEvent-2.0")

function ClosetGnomeSwitcher_Druid:OnInitialize()
	self.data = {
		isInCatForm = false,
		isInBearForm = false,
	}

	self.db = ClosetGnomeSwitcher:AcquireDBNamespace("Druid")
	ClosetGnomeSwitcher:RegisterDefaults("Druid", "char", {
		catSet = nil,
		bearSet = nil,
	})

	ClosetGnomeSwitcher.Opts.args.catSet = {
		type = 'text',
		name = 'Cat Form',
		desc = 'The set to use when in Druid Cat Form.',
		usage = '<setName>',
		get = function() return self.db.char.catSet end,
		set = function(v) self.db.char.catSet = v end,
	}
	ClosetGnomeSwitcher.Opts.args.bearSet = {
		type = 'text',
		name = 'Bear Form',
		desc = 'The set to use when in Druid Cat Form.',
		usage = '<setName>',
		get = function() return self.db.char.bearSet end,
		set = function(v) self.db.char.bearSet = v end,
	}
end

function ClosetGnomeSwitcher_Druid:OnEnable()
	self:RegisterEvent("SpecialEvents_PlayerBuffGained") 
	self:RegisterEvent("SpecialEvents_PlayerBuffLost") 
end

function ClosetGnomeSwitcher_Druid:SpecialEvents_PlayerBuffGained(buffName, buffId)
	if buffName == Babble["Cat Form"] then self.data.isInCatForm = true end
	if buffName == Babble["Bear Form"] or buffName == Babble["Dire Bear Form"] then self.data.isInBearForm = true end
end

function ClosetGnomeSwitcher_Druid:SpecialEvents_PlayerBuffLost(buffName)
	if buffName == Babble["Cat Form"] then self.data.isInCatForm = false end
	if buffName == Babble["Bear Form"] or buffName == Babble["Dire Bear Form"] then self.data.isInBearForm = false end
end

function ClosetGnomeSwitcher_Druid:DoSwitch()
	if self.db.char.catSet ~= nil and self.data.isInCatForm  then 
		ClosetGnomeSwitcher:WearSet(self.db.char.catSet)	
		return true
	elseif self.db.char.bearSet ~= nil and self.data.isInBearForm then
		ClosetGnomeSwitcher:WearSet(self.db.char.bearSet)
		return true
	else
		return false
	end
end
]]
