local _,class = UnitClass("player")
if class ~= "WARRIOR" then return end

local Babble = AceLibrary("Babble-Spell-2.0")

ClosetGnomeSwitcher_Warrior = ClosetGnomeSwitcher:NewModule("ClosetGnomeSwitcher_Warrior", "AceEvent-2.0")

function ClosetGnomeSwitcher_Warrior:OnInitialize()
	self.data = {
		isInBattleStance = false,
		isInDefensiveStance = false,
	}

	self.db = ClosetGnomeSwitcher:AcquireDBNamespace("Warrior")
	ClosetGnomeSwitcher:RegisterDefaults("Warrior", "char", {
		battleStanceSet = nil,
		defensiveStanceSet = nil,
	})

	ClosetGnomeSwitcher.Opts.args.battleStanceSet = {
		type = 'text',
		name = 'Battle Stance',
		desc = 'The set to use when in Battle Stance.',
		usage = '<setName>',
		get = function() return self.db.char.battleStanceSet end,
		set = function(v) self.db.char.battleStanceSet = v end,
	}
	ClosetGnomeSwitcher.Opts.args.defensiveStanceSet = {
		type = 'text',
		name = 'Defensive Stance',
		desc = 'The set to use when in Defensive Stance.',
		usage = '<setName>',
		get = function() return self.db.char.defensiveStanceSet end,
		set = function(v) self.db.char.defensiveStanceSet = v end,
	}
end

function ClosetGnomeSwitcher_Warrior:OnEnable()
	self:RegisterEvent("SpecialEvents_PlayerBuffGained") 
	self:RegisterEvent("SpecialEvents_PlayerBuffLost") 
end

function ClosetGnomeSwitcher_Warrior:SpecialEvents_PlayerBuffGained(buffName, buffId)
	if buffName == Babble["Battle Stance"] then self.data.isInBattleStance = true end
	if buffName == Babble["Defensive Stance"] then self.data.isInDefensiveStance = true end
end

function ClosetGnomeSwitcher_Warrior:SpecialEvents_PlayerBuffLost(buffName)
	if buffName == Babble["Battle Stance"] then self.data.isInBattleStance = false end
	if buffName == Babble["Defensive Stance"] then self.data.isInDefensiveStance = false end
end

function ClosetGnomeSwitcher_Warrior:DoSwitch()
	if self.db.char.battleStanceSet ~= nil and self.data.isInBattleStance  then 
		ClosetGnomeSwitcher:WearSet(self.db.char.battleStanceSet)	
		return true
	elseif self.db.char.defensiveStanceSet ~= nil and self.data.isInDefensiveStance then
		ClosetGnomeSwitcher:WearSet(self.db.char.defensiveStanceSet)
		return true
	else
		return false
	end
end
